> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xshot.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get space details

> Get details about a Twitter Space.



## OpenAPI

````yaml /openapi-spec/xshot.yaml get /twitter/space/detail
openapi: 3.0.3
info:
  title: Xshot REST API
  version: 1.0.0
  description: >
    Twitter/X data API. Access user profiles, tweets, communities, lists,
    spaces, and trends.


    All endpoints require authentication via `api_key` query parameter,
    `x-api-key` header, or `Authorization: Bearer` header.
  contact:
    name: Xshot
    url: https://api.xshot.fun
servers:
  - url: https://api.xshot.fun
    description: Production
security:
  - ApiKeyQuery: []
  - ApiKeyHeader: []
  - BearerAuth: []
paths:
  /twitter/space/detail:
    get:
      tags:
        - Spaces
      summary: Get space details
      description: Get details about a Twitter Space.
      operationId: getSpaceDetail
      parameters:
        - name: space_id
          in: query
          required: true
          schema:
            type: string
          example: 1eaJbrPPmRrKX
      responses:
        '200':
          description: Space metadata (raw GraphQL response)
          content:
            application/json:
              schema:
                type: object
components:
  securitySchemes:
    ApiKeyQuery:
      type: apiKey
      in: query
      name: api_key
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    BearerAuth:
      type: http
      scheme: bearer

````